package mbs.views;




import javax.microedition.lcdui.*;
import mbs.controllers.SubscriptionController;


public class SubscriptionView extends List implements ViewBase {

    SubscriptionController iSubscriptionController;
    private Command iCmdBack;
    private Command iCmdSelect;
    private Command iCmdExit;
    int index;

    SubscriptionView() {
        super("Subscriptions", List.IMPLICIT);
        iCmdBack = new Command("Back", Command.BACK, 1);
        iCmdExit = new Command("Exit", Command.EXIT, 1);
         iCmdSelect = new Command("Select", Command.SCREEN, 1);
        setSelectCommand(iCmdSelect);
    }

    public void activate() {
        deleteAll();
        iSubscriptionController = SubscriptionController.getInstance();
        append("My Subscriptions", null);
        append("New Subscriptions", null);
        addCommand(iCmdBack);
     
    }

    public void deactivate() {
    }

    public Displayable getDisplayable() {
        return this;
    }

    public void handleCommand(Command aCommand, Displayable aDisplayable) {

        if (aCommand == iCmdBack) {
            ViewHandler.activatePreviousView();
        }else if (aCommand == iCmdSelect){
            index = getSelectedIndex();
            if (index == 1) {
                iSubscriptionController.setId(null);
                ViewHandler.activateView(ViewHandler.PURCHASE_OBJECTS_VIEW_ID);
            }else {

                 ViewHandler.activateView(ViewHandler.SUBSCRIBED_OBJECTS_VIEW_ID);
            }
        }
    }
}
