package mbs.views;



import javax.microedition.lcdui.Font;

public class ViewUtils
{
    // Current PlatformProvider
    private Font iDefaultFont;

    // Singleton instance
    private static ViewUtils sInstance;

    static
    {
        sInstance = new ViewUtils();
    }

    /**
     * Returns the default font
     */
    public static Font getDefaultFont()
    {
        return sInstance.iDefaultFont;
    }

    /**
     * Constructor
     */
    private ViewUtils()
    {
        iDefaultFont = Font.getFont(Font.FACE_SYSTEM,
                                    Font.STYLE_PLAIN,
                                    Font.SIZE_SMALL);
    }


}